{ config, ... }:

{
  services.searx.settings.general.open_metrics = "thisreallydoesnotmatterasitisnotaccessiblefromoutsideofthisserver";

  services.prometheus.scrapeConfigs = [
    {
      job_name = "searx";
      basic_auth.username = "canbeanything";
      basic_auth.password = config.services.searx.settings.general.open_metrics;
      static_configs = [{
        targets = [ config.services.searx.uwsgiConfig.http ];
      }];
    }
  ];
}
